//1. Что такое прототипное наследование?
//Любой класс или функция имеет прототип.Каждый прототип - это обьект, сам по себе, с определенным набором свойств и методов
//Prototype усть у class либо у функции и прототип используется только для чтения свойств.
//прототипное наследование - это когда мы хотим прочитать свойствa из обьекта, а их нету, в JS можно взять их из прототипа

//2. Что такое функция высшего порядка? Аргументированный пример использования, там где действительно необходимо?
//функция высшего порядка - это функции которые работают с другими функциями , принимая их в качестве аргументов или возращают их
//Например, функция высшего порядка JS такие как : Array.prototype.filter и Array.prototype.reduce, Array.prototype.map ...